<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" section="in-portal:mailing_lists" prefix="mailing-list" title_preset="mailing_list_list" tabs="mailing_lists/mailing_list_tabs" pagination="1"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
	  	<td>
	  		<script type="text/javascript">
	  			//do not rename - this function is used in default grid for double click!
	  			function edit() {
	  				std_edit_item('mailing-list', 'mailing_lists/mailing_list_edit');
	  			}

	  			var a_toolbar = new ToolBar();
				a_toolbar.AddButton(
					new ToolBarButton(
						'new_item',
						'<inp2:m_phrase label="la_ToolTip_Add" escape="1"/>',
						function() {
							std_precreate_item('mailing-list', 'mailing_lists/mailing_list_edit');
						}
					)
				);

				a_toolbar.AddButton(
					new ToolBarButton(
						'view_item',
						'<inp2:m_phrase label="la_ToolTip_View" escape="1"/>::<inp2:m_phrase label="la_ShortToolTip_View" escape="1"/>',
						edit
					)
				);

				a_toolbar.AddButton(
					new ToolBarButton(
						'delete',
						'<inp2:m_phrase label="la_ToolTip_Delete" escape="1"/>',
						function() {
							std_delete_items('mailing-list')
						}
					)
				);

				a_toolbar.AddButton(
					new ToolBarButton(
						'cancel',
						'<inp2:m_phrase label="la_ToolTip_Cancel" escape="1"/>',
						function() {
							submit_event('mailing-list', 'OnCancelMailing');
						}
					)
				);

				a_toolbar.AddButton( new ToolBarSeparator('sep1') );

				a_toolbar.AddButton(
					new ToolBarButton(
						'view',
						'<inp2:m_phrase label="la_ToolTip_View" escape="1"/>',
						function() {
							show_viewmenu(a_toolbar,'view');
						}
					)
				);

				a_toolbar.Render();
			</script>
		</td>

		<inp2:m_RenderElement name="search_main_toolbar" prefix="mailing-list" grid="Default"/>
	</tr>
</tbody>
</table>

<inp2:m_RenderElement name="grid" PrefixSpecial="mailing-list" IdField="MailingId" grid="Default"/>
<script type="text/javascript">
	Grids['mailing-list'].SetDependantToolbarButtons( new Array('view_item', 'delete', 'cancel') );
</script>
<inp2:m_include t="incs/footer"/>